evince shows incomplete pages for certain pdf files

Bug #252552 reported by Ulf Mehlig on 2008-07-28
12
Affects Status Importance Assigned to Milestone
Poppler
Fix Released
Medium
poppler (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: evince

evince fails to display pdf files from www.botanicus.org correctly; only a part of the page (upper left corner) is shown.

example:

   http://www.botanicus.org/botanicus3/b12002070/31753002771522/31753002771522.pdf

Adobe Acrobat Reader is able to display these pages correctly.

amd64

Description: Ubuntu 8.04.1
Release: 8.04

evince:
  Installed: 2.22.2-0ubuntu1
  Candidate: 2.22.2-0ubuntu1
  Version table:
 *** 2.22.2-0ubuntu1 0
        500 http://de.archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     2.22.1.1-0ubuntu1 0
        500 http://de.archive.ubuntu.com hardy/main Packages

Related branches

the bug has been opened on https://launchpad.net/bugs/252552

"evince fails to display pdf files from www.botanicus.org correctly; only a part of the page (upper left corner) is shown.

example:

   http://www.botanicus.org/botanicus3/b12002070/31753002771522/31753002771522.pdf

Adobe Acrobat Reader is able to display these pages correctly."

evince using poppler 0.8.4 cairo doesn't render it correctly

Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: https://bugs.freedesktop.org/show_bug.cgi?id=16906

Changed in evince:
importance: Undecided → Medium
status: New → Triaged
Changed in poppler:
status: Unknown → Confirmed

Still occurring with evince using poppler 0.12.0

madbiologist (me-again) wrote :

Still occurring in Karmic 9.10 with all the latest updates.

Uname: Linux 2.6.31-16-generic i686
Package versions:
evince 2.28.1-0ubuntu1.2
poppler 0.12.0-0ubuntu2.1

madbiologist (me-again) wrote :

Still occurring on Ubuntu 10.04 Lucid Lynx alpha 2.

Uname: Linux 2.6.32-10-generic i686
Packages:
evince 2.29.5-0ubuntu1
poppler 0.12.2-2.1ubuntu3

*** Bug 20514 has been marked as a duplicate of this bug. ***

*** Bug 26164 has been marked as a duplicate of this bug. ***

Fixed in git master and poppler-0.12 branch.

Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream now

Changed in poppler (Ubuntu):
status: Triaged → Fix Committed
Changed in poppler:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package poppler - 0.12.3-0ubuntu1

---------------
poppler (0.12.3-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - [Cairo backend] Do not crash on malformed files. Bug #24575 (lp: #430887)
    - [Cairo backend] Fix crash in some documents. GNOME bug #603934 (
      lp: #436197)
  * debian/patches/01_git_change_fix_matrix_use.patch:
    - git change to fix a wrong matrix use leading to rendering issues
      (lp: #252552)
 -- Sebastien Bacher <email address hidden> Fri, 29 Jan 2010 12:17:57 +0100

Changed in poppler (Ubuntu):
status: Fix Committed → Fix Released
madbiologist (me-again) wrote :

I've just updated Lucid Lynx 10.04 alpha 2 to poppler - 0.12.3-0ubuntu1. I can confirm that the attached PDF file now displays correctly.

Changed in poppler:
importance: Unknown → Medium
Changed in poppler:
importance: Medium → Unknown
Changed in poppler:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.